package com.huatek.busi.entity;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
/**
 * 系统配置信息表 entity
 *
 * @author edward_luo
 * @date Jun 25, 2019 16:48:31 PM
 */
@TableName("sys_config")
public class SysConfig extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;
    
   
    @FieldName("id")
	private String id;
	
	/** @Fields key : 参数键*/ 
    @FieldName("param_key")
	private String paramKey;
	
	/** @Fields value : 参数值*/ 
    @FieldName("param_value")
	private String paramValue; 
	
	/** @Fields status : 状态   0：隐藏   1：显示*/ 
    @FieldName("status")
	private String status  = "1";
    
    /** @Fields remark : 备注*/ 
    @FieldName("remark")
	private String remark;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getParamKey() {
		return paramKey;
	}

	public void setParamKey(String paramKey) {
		this.paramKey = paramKey;
	}

	public String getParamValue() {
		return paramValue;
	}

	public void setParamValue(String paramValue) {
		this.paramValue = paramValue;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}